updated docker setup: lib32stdc++6 is no longer required for polyml-5.8, libfontconfig1 is required for headless jdk-11;
authorwenzelm
Sat, 23 Mar 2019 17:10:53 +0100
changeset 70139 e3217c6d6467
parent 70138 800ec9074701
child 70140 70dc3c4e9469
updated docker setup: lib32stdc++6 is no longer required for polyml-5.8, libfontconfig1 is required for headless jdk-11;
src/Pure/Tools/build_docker.scala
--- a/src/Pure/Tools/build_docker.scala	Sat Mar 23 17:00:44 2019 +0100
+++ b/src/Pure/Tools/build_docker.scala	Sat Mar 23 17:10:53 2019 +0100
@@ -12,10 +12,10 @@
   private val default_base = "ubuntu"
   private lazy val default_logic = Isabelle_System.getenv("ISABELLE_LOGIC")
 
-  private val Isabelle_Name = """^.*?(Isabelle[^/\\:]+)_(?:app|linux)\.tar\.gz$""".r
+  private val Isabelle_Name = """^.*?(Isabelle[^/\\:]+)_linux\.tar\.gz$""".r
 
   val packages: List[String] =
-    List("curl", "less", "lib32stdc++6", "libgomp1", "libwww-perl", "rlwrap", "unzip")
+    List("curl", "less", "libfontconfig1", "libgomp1", "libwww-perl", "rlwrap", "unzip")
 
   val package_collections: Map[String, List[String]] =
     Map("X11" -> List("libx11-6", "libxext6", "libxrender1", "libxtst6", "libxi6"),
@@ -129,9 +129,9 @@
 
   Examples:
 
-    isabelle build_docker -E -t test/isabelle:Isabelle2018 Isabelle2018_app.tar.gz
+    isabelle build_docker -E -t test/isabelle:Isabelle2019 Isabelle2019_linux.tar.gz
 
-    isabelle build_docker -E -n -o Dockerfile http://isabelle.in.tum.de/dist/Isabelle2018_app.tar.gz
+    isabelle build_docker -E -n -o Dockerfile http://isabelle.in.tum.de/dist/Isabelle2019_linux.tar.gz
 
 """,
           "B:" -> (arg => base = arg),